function varargout = getRBAppr(RB,mu,N)

  Nmax = size(RB.Basis,2);
  N = eval('N','Nmax');
  
  K = zeros(Nmax);
  for q=1:size(RB.pre.lhs,2)
      K = K + RB.pre.lhs(q).theta(mu) * RB.pre.lhs(q).K;
  end

  L = RB.pre.rhs.L* RB.pre.rhs.theta(mu);
  
  if (N < Nmax)
    K = K(1:N,1:N);
    L = L(1:N);
  end
  
  varargout{1} = K\L;
  if (nargout>1)
    varargout{2} = RB.Basis(:,1:N)*varargout{1};
  end
